Bug 528080 - Writing DVDs with Brasero fails
Summary: Writing DVDs with Brasero fails
Keywords:
Status: CLOSED WONTFIX
Alias: None
Product: Fedora
Classification: Fedora
Component: brasero
Version: 11
Hardware: x86_64
OS: Linux
low
high
Target Milestone: ---
Assignee: Xavier Lamien
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2009-10-08 21:22 UTC by Peter Larsen
Modified: 2010-06-28 14:58 UTC (History)
5 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2010-06-28 14:58:25 UTC
Type: ---


Attachments (Terms of Use)


Links
System ID Private Priority Status Summary Last Updated
Linux Kernel 13727 0 None None None Never

Description Peter Larsen 2009-10-08 21:22:22 UTC
This is a duplicate of Bug #514290 but for Fedora11 instead of Rawhide. (https://bugzilla.redhat.com/show_bug.cgi?id=514290)

Description of problem:

When trying to use the default brazero to burn an ISO DVD image, the write fails with a long series of device errors reported:

sr 1:0:0:0: [sr0] Add. Sense: Logical block address out of range
end_request: I/O error, dev sr0, sector 0
Buffer I/O error on device sr0, logical block 0
cdrom: This disc doesn't have any tracks I recognize!
sr 1:0:0:0: [sr0] Result: hostbyte=DID_OK driverbyte=DRIVER_SENSE
sr 1:0:0:0: [sr0] Sense Key : Illegal Request [current] 
Info fld=0x0
sr 1:0:0:0: [sr0] Add. Sense: Logical block address out of range
end_request: I/O error, dev sr0, sector 0
Buffer I/O error on device sr0, logical block 0
sr 1:0:0:0: [sr0] Result: hostbyte=DID_OK driverbyte=DRIVER_SENSE
sr 1:0:0:0: [sr0] Sense Key : Illegal Request [current] 
Info fld=0x0
sr 1:0:0:0: [sr0] Add. Sense: Logical block address out of range
end_request: I/O error, dev sr0, sector 0
Buffer I/O error on device sr0, logical block 0
cdrom: This disc doesn't have any tracks I recognize!

The device works from the default Windows installed on this laptop. I can read/mount and use the drive except for writing to it.

Version-Release number of selected component (if applicable):

$ rpm -q brasero
brasero-2.26.3-1.fc11.x86_64

How reproducible:

Every time.

Steps to Reproduce:
1.Right click on DVD ISO, start burning.

Comment 1 Łukasz Lis 2009-11-29 13:18:08 UTC
I have the same problem although, in my case, the error messages are triggered by inserting a blank DVD into the drive.

---
Nov 29 13:57:24 localhost kernel: sr 3:0:0:0: [sr0] Result: hostbyte=DID_OK driverbyte=DRIVER_SENSE
Nov 29 13:57:24 localhost kernel: sr 3:0:0:0: [sr0] Sense Key : Illegal Request [current] 
Nov 29 13:57:24 localhost kernel: sr 3:0:0:0: [sr0] Add. Sense: Logical block address out of range
Nov 29 13:57:24 localhost kernel: end_request: I/O error, dev sr0, sector 0
Nov 29 13:57:24 localhost kernel: Buffer I/O error on device sr0, logical block 0
Nov 29 13:57:24 localhost kernel: sr 3:0:0:0: [sr0] Result: hostbyte=DID_OK driverbyte=DRIVER_SENSE
Nov 29 13:57:24 localhost kernel: sr 3:0:0:0: [sr0] Sense Key : Illegal Request [current] 
Nov 29 13:57:24 localhost kernel: sr 3:0:0:0: [sr0] Add. Sense: Logical block address out of range
Nov 29 13:57:24 localhost kernel: end_request: I/O error, dev sr0, sector 0
Nov 29 13:57:24 localhost kernel: Buffer I/O error on device sr0, logical block 0
---

$ rpm -q brasero kernel
brasero-2.26.3-1.fc11.x86_64
kernel-2.6.30.8-64.fc11.x86_64
kernel-2.6.30.9-90.fc11.x86_64
kernel-2.6.30.9-96.fc11.x86_64
(bug confirmed for all three kernel versions I have installed)

An lkml thread I found suggests this could be a kernel problem introduced in 2.6.29-rc7 (later reintroduced in 2.6.31-rc1-git9). 
http://lkml.org/lkml/2009/7/9/84

In that thread commit 1e42807918d17e8c93bf14fbb74be84b141334c1 is mentioned as the one that introduced this bug in 2.6.29-rc7.

Comment 2 Łukasz Lis 2009-11-29 13:33:03 UTC
(In reply to comment #1)
> In that thread commit 1e42807918d17e8c93bf14fbb74be84b141334c1 is mentioned as
> the one that introduced this bug in 2.6.29-rc7.  

Scratch that, I made an error. That commit and version are unrelated to this bug. The relevant commit is mentioned in the appropriate kernel bug report and it's 018e0446890661504783f92388ecce7138c1566d. Supposedly reverting it fixes the problem.

Comment 3 Brent R Brian 2009-12-26 16:56:09 UTC
The errors on this bug report seem to go hand in hand with other bug reports:

549939 532896 531361 530801 528080 513979 507121 505698

Attachments were posted to 549939

Comment 4 Rodd Clarkson 2010-04-08 05:40:03 UTC
I'm seeing the same thing on my system (a Dell XPS 16).

The output is all very similar and goes on for some time after inserting a blank DVD.

Apr  8 15:33:41 moose kernel: sr 1:0:0:0: [sr0] Result: hostbyte=DID_OK driverbyte=DRIVER_SENSE
Apr  8 15:33:41 moose kernel: sr 1:0:0:0: [sr0] Sense Key : Illegal Request [current] 
Apr  8 15:33:41 moose kernel: sr 1:0:0:0: [sr0] Add. Sense: Logical block address out of range
Apr  8 15:33:41 moose kernel: sr 1:0:0:0: [sr0] CDB: Read(10): 28 00 00 00 00 00 00 00 02 00
Apr  8 15:33:41 moose kernel: end_request: I/O error, dev sr0, sector 0


When I eject the blank DVD (using `eject`) I get the following:

Apr  8 15:34:57 moose kernel: ata2.00: exception Emask 0x0 SAct 0x0 SErr 0x0 action 0x0
Apr  8 15:34:57 moose kernel: ata2.00: irq_stat 0x40000001
Apr  8 15:34:57 moose kernel: sr 1:0:0:0: [sr0] CDB: Test Unit Ready: 00 00 00 00 00 00
Apr  8 15:34:57 moose kernel: ata2.00: cmd a0/00:00:00:00:00/00:00:00:00:00/a0 tag 0
Apr  8 15:34:57 moose kernel:         res 51/20:03:00:00:00/00:00:00:00:00/a0 Emask 0x1 (device error)
Apr  8 15:34:57 moose kernel: ata2.00: status: { DRDY ERR }


Interestingly, if I insert a data DVD I get no error and the DVD mounts fine.  However, on eject I also get the above output.  Not sure if this later output is related to the this bug, but thought it worth raising.

Comment 5 Rodd Clarkson 2010-04-08 05:43:48 UTC
Oh, I should add I'm seeing this on f13 and I'm not using brasero at all.  Just putting a blank DVD into the drive and watching /var/log/messages

# rpm -qa kernel\* | sort
kernel-2.6.33-0.52.rc8.git6.fc13.x86_64
kernel-2.6.33.1-19.fc13.x86_64
kernel-2.6.33-1.fc13.x86_64
kernel-devel-2.6.33.1-19.fc13.x86_64
kernel-devel-2.6.33-1.fc13.x86_64
kernel-headers-2.6.33.1-19.fc13.x86_64

Comment 6 Rodd Clarkson 2010-04-08 06:02:44 UTC
(In reply to comment #3)
> The errors on this bug report seem to go hand in hand with other bug reports:
> 
> 549939 532896 531361 530801 528080 513979 507121 505698
> 
> Attachments were posted to 549939    

I've been through all this bugs, and I don't see anything to suggest that this bug is related to them.

Yes, they are all about brasero, and yes, most are f11 related.

However, 

1. none show the same output from /var/log/messages
2. it appears this isn't brasero related as two of the reporters output in /var/log/messages says 'kernel'

Comment 7 Bug Zapper 2010-04-28 10:45:43 UTC
This message is a reminder that Fedora 11 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 11.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '11'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 11's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 11 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping

Comment 8 Rodd Clarkson 2010-04-29 02:56:50 UTC
I've been seeing this on f13 so you can up the version to 13 and keep this open.

I haven't got a DVD with me at the moment to test if it's been resolved, but will when I get home.

Comment 9 Bug Zapper 2010-06-28 14:58:25 UTC
Fedora 11 changed to end-of-life (EOL) status on 2010-06-25. Fedora 11 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.


Note You need to log in before you can comment on or make changes to this bug.